Package com.mckoi.database

## Class Transaction.ColumnGroupReference

- java.lang.Object
- - com.mckoi.database.Transaction.ColumnGroupReference

Enclosing class:
  Transaction

    public static class Transaction.ColumnGroupReference
    extends java.lang.Object

Represents a reference from a group of columns in one table to a group of columns in another table. The is used to represent a foreign key reference.

### Field Summary

Fields
`short` `deferred` Whether this is deferred or initially immediate.
`java.lang.String` `delete_rule` The delete rule.
`java.lang.String[]` `key_columns` The list of columns that make up the key.
`TableName` `key_table_name` The key table name.
`java.lang.String` `name` The name of the group (the constraint name).
`java.lang.String[]` `ref_columns` The list of columns that make up the referenced group.
`TableName` `ref_table_name` The referenced table name.
`java.lang.String` `update_rule` The update rule.

### Constructor Summary

Constructors
`ColumnGroupReference()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### name

    public java.lang.String name

The name of the group (the constraint name).

#### key_table_name

    public TableName key_table_name

The key table name.

#### key_columns

    public java.lang.String[] key_columns

The list of columns that make up the key.

#### ref_table_name

    public TableName ref_table_name

The referenced table name.

#### ref_columns

    public java.lang.String[] ref_columns

The list of columns that make up the referenced group.

#### update_rule

    public java.lang.String update_rule

The update rule.

#### delete_rule

    public java.lang.String delete_rule

The delete rule.

#### deferred

    public short deferred

Whether this is deferred or initially immediate.

### Constructor Detail

#### ColumnGroupReference

    public ColumnGroupReference()